/* ==========================================================================*/
/* - - - - - - - - - - - - -  s i 5 3 3 8 . h  - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Si5338.c module                                */
/*	Created   2011-09-21   M. Wheatley                                       */
/*	Modified  2011-09-21   MW                                                */
/*.........................................................................  */
/* WSPR Beacon   AT91SAM7256 SI 5338 clock generator management              */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef SI5338_H_
#define SI5338_H_

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void Si5338Init ( void );
void SetFreq(uint32_t freq);
void SetWsprSymbFreq(int32_t symb);
void RfOn();
void RfOff();

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern BOOL RfOnState;


#endif /*SI5338_H_*/
